diff --git a/tensorflow/python/kernel_tests/conv3d_transpose_test.py b/tensorflow/python/kernel_tests/conv3d_transpose_test.py
index 22ba5b90375..7cca69facbd 100644
--- a/tensorflow/python/kernel_tests/conv3d_transpose_test.py
+++ b/tensorflow/python/kernel_tests/conv3d_transpose_test.py
@@ -19,7 +19,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -64,11 +63,11 @@ class Conv3DTransposeTest(test.TestCase):
       #   kernel_depth * ceil(kernel_height/2) * kernel_width or
       #   kernel_depth * kernel_height * ceil(kernel_width/2)
 
-      for n in xrange(x_shape[0]):
-        for k in xrange(f_shape[3]):
-          for w in xrange(y_shape[3]):
-            for h in xrange(y_shape[2]):
-              for d in xrange(y_shape[1]):
+      for n in range(x_shape[0]):
+        for k in range(f_shape[3]):
+          for w in range(y_shape[3]):
+            for h in range(y_shape[2]):
+              for d in range(y_shape[1]):
                 d_in = d > 0 and d < y_shape[1] - 1
                 h_in = h > 0 and h < y_shape[2] - 1
                 w_in = w > 0 and w < y_shape[3] - 1
@@ -101,11 +100,11 @@ class Conv3DTransposeTest(test.TestCase):
           x, f, y_shape, strides=strides, padding="SAME")
       value = self.evaluate(output)
 
-      for n in xrange(x_shape[0]):
-        for k in xrange(f_shape[3]):
-          for w in xrange(y_shape[3]):
-            for h in xrange(y_shape[2]):
-              for d in xrange(y_shape[1]):
+      for n in range(x_shape[0]):
+        for k in range(f_shape[3]):
+          for w in range(y_shape[3]):
+            for h in range(y_shape[2]):
+              for d in range(y_shape[1]):
                 # We add a case for locations divisible by the stride.
                 d_in = d % strides[1] == 0 and 0 < d < y_shape[1] - 1
                 h_in = h % strides[2] == 0 and 0 < h < y_shape[2] - 1
@@ -174,11 +173,11 @@ class Conv3DTransposeTest(test.TestCase):
       # The amount of padding added
       pad = 1
 
-      for n in xrange(x_shape[0]):
-        for k in xrange(f_shape[3]):
-          for w in xrange(y_shape[3]):
-            for h in xrange(y_shape[2]):
-              for d in xrange(y_shape[1]):
+      for n in range(x_shape[0]):
+        for k in range(f_shape[3]):
+          for w in range(y_shape[3]):
+            for h in range(y_shape[2]):
+              for d in range(y_shape[1]):
                 # We add a case for locations divisible by the stride.
                 d_in = d % strides[1] == 0 and pad < d < y_shape[1] - 1 - pad
                 h_in = h % strides[2] == 0 and pad < h < y_shape[2] - 1 - pad
diff --git a/tensorflow/python/kernel_tests/conv_ops_test.py b/tensorflow/python/kernel_tests/conv_ops_test.py
index b51d8ae61aa..446caa89428 100644
--- a/tensorflow/python/kernel_tests/conv_ops_test.py
+++ b/tensorflow/python/kernel_tests/conv_ops_test.py
@@ -23,7 +23,6 @@ import time
 
 import numpy as np
 
-from six.moves import xrange  # pylint: disable=redefined-builtin
 from tensorflow.core.protobuf import config_pb2
 from tensorflow.core.protobuf import rewriter_config_pb2
 from tensorflow.python.client import session as session_lib
@@ -2803,7 +2802,7 @@ class Conv2DBenchmark(test.Benchmark):
 
       variables.global_variables_initializer().run()
       num_iterations = 4
-      for iter_index in xrange(num_iterations):
+      for iter_index in range(num_iterations):
         start = time.time()
         session.run(outputs)
         wall_time = time.time() - start
diff --git a/tensorflow/python/kernel_tests/ctc_decoder_ops_test.py b/tensorflow/python/kernel_tests/ctc_decoder_ops_test.py
index 0d86d13c715..0450d6c026f 100644
--- a/tensorflow/python/kernel_tests/ctc_decoder_ops_test.py
+++ b/tensorflow/python/kernel_tests/ctc_decoder_ops_test.py
@@ -21,7 +21,7 @@ from __future__ import print_function
 import itertools
 
 import numpy as np
-from six.moves import zip_longest
+from itertools import zip_longest
 
 from tensorflow.python.framework import errors
 from tensorflow.python.framework import ops
diff --git a/tensorflow/python/kernel_tests/decode_jpeg_op_test.py b/tensorflow/python/kernel_tests/decode_jpeg_op_test.py
index f8fc28062f4..d5468547cc7 100644
--- a/tensorflow/python/kernel_tests/decode_jpeg_op_test.py
+++ b/tensorflow/python/kernel_tests/decode_jpeg_op_test.py
@@ -21,7 +21,6 @@ from __future__ import print_function
 import os
 import time
 
-from six.moves import xrange  # pylint: disable=redefined-builtin
 from tensorflow.python.client import session
 from tensorflow.python.framework import ops
 from tensorflow.python.ops import array_ops
@@ -82,7 +81,7 @@ class DecodeJpegBenchmark(test.Benchmark):
     with session.Session() as sess:
       self.evaluate(variables.global_variables_initializer())
       images = []
-      for _ in xrange(parallelism):
+      for _ in range(parallelism):
         if crop_window is None:
           # No crop.
           image = image_ops.decode_jpeg(image_content, channels=3)
@@ -103,12 +102,12 @@ class DecodeJpegBenchmark(test.Benchmark):
         images.append(image)
       r = control_flow_ops.group(*images)
 
-      for _ in xrange(3):
+      for _ in range(3):
         # Skip warm up time.
         self.evaluate(r)
 
       start_time = time.time()
-      for _ in xrange(num_iters):
+      for _ in range(num_iters):
         self.evaluate(r)
       end_time = time.time()
     return end_time - start_time
diff --git a/tensorflow/python/kernel_tests/dynamic_partition_op_test.py b/tensorflow/python/kernel_tests/dynamic_partition_op_test.py
index 8c448194076..8eae27152c5 100644
--- a/tensorflow/python/kernel_tests/dynamic_partition_op_test.py
+++ b/tensorflow/python/kernel_tests/dynamic_partition_op_test.py
@@ -21,7 +21,6 @@ from __future__ import print_function
 import unittest
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -319,8 +318,8 @@ class DynamicPartitionTest(test.TestCase):
       data = np.zeros(shape + (5,))
       partitions = data_flow_ops.dynamic_partition(
           data, indices, num_partitions=7)
-      for i in xrange(2):
-        for j in xrange(3):
+      for i in range(2):
+        for j in range(3):
           bad = np.zeros(shape, dtype=np.int32)
           bad[i, j] = 17
           with self.assertRaisesOpError(
diff --git a/tensorflow/python/kernel_tests/embedding_ops_test.py b/tensorflow/python/kernel_tests/embedding_ops_test.py
index fec6c310341..26efa60ba40 100644
--- a/tensorflow/python/kernel_tests/embedding_ops_test.py
+++ b/tensorflow/python/kernel_tests/embedding_ops_test.py
@@ -22,7 +22,6 @@ import itertools
 import math
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -561,7 +560,7 @@ class EmbeddingLookupTest(test.TestCase):
           for procs in 1, 2, 3:
             stride = procs * math_ops.range(params.shape[0] // procs)
             split_params = [
-                array_ops.gather(params, stride + p) for p in xrange(procs)
+                array_ops.gather(params, stride + p) for p in range(procs)
             ]
             sharded = embedding_ops.embedding_lookup(split_params, ids).eval()
             self.assertAllEqual(simple, sharded)
@@ -595,7 +594,7 @@ class EmbeddingLookupTest(test.TestCase):
           for procs in 1, 2, 3:
             stride = procs * math_ops.range(params.shape[0] // procs)
             split_params = [
-                array_ops.gather(params, stride + p) for p in xrange(procs)
+                array_ops.gather(params, stride + p) for p in range(procs)
             ]
             sharded = embedding_ops.embedding_lookup(
                 split_params, ids, max_norm=1.0).eval()
@@ -631,7 +630,7 @@ class EmbeddingLookupTest(test.TestCase):
         for procs in 1, 2, 3:
           stride = procs * math_ops.range(params.shape[0] // procs)
           split_params = [
-              array_ops.gather(params, stride + p) for p in xrange(procs)
+              array_ops.gather(params, stride + p) for p in range(procs)
           ]
           sharded = embedding_ops._embedding_lookup_and_transform(
               split_params, ids, max_norm=l2_norm,
diff --git a/tensorflow/python/kernel_tests/fifo_queue_test.py b/tensorflow/python/kernel_tests/fifo_queue_test.py
index 6ffff8bf350..765b9f79553 100644
--- a/tensorflow/python/kernel_tests/fifo_queue_test.py
+++ b/tensorflow/python/kernel_tests/fifo_queue_test.py
@@ -22,7 +22,6 @@ import random
 import time
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.core.protobuf import config_pb2
 from tensorflow.python.client import session as session_lib
@@ -176,7 +175,7 @@ class FIFOQueueTest(test.TestCase):
 
       # Dequeue every element using a single thread.
       results = []
-      for _ in xrange(len(elems)):
+      for _ in range(len(elems)):
         results.append(dequeued_t.eval())
       self.assertItemsEqual(elems, results)
 
@@ -217,7 +216,7 @@ class FIFOQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      for i in xrange(len(elems)):
+      for i in range(len(elems)):
         vals = self.evaluate(dequeued_t)
         self.assertEqual([elems[i]], vals)
 
@@ -231,7 +230,7 @@ class FIFOQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      for i in xrange(len(elems)):
+      for i in range(len(elems)):
         vals = self.evaluate(dequeued_t)
         self.assertEqual([elems[i]], vals)
 
@@ -255,7 +254,7 @@ class FIFOQueueTest(test.TestCase):
       results = []
 
       def dequeue():
-        for _ in xrange(len(elems)):
+        for _ in range(len(elems)):
           results.append(self.evaluate(dequeued_t))
 
       enqueue_thread = self.checkedThread(target=enqueue)
@@ -278,7 +277,7 @@ class FIFOQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      for i in xrange(len(elems)):
+      for i in range(len(elems)):
         x_val, y_val = self.evaluate(dequeued_t)
         x, y = elems[i]
         self.assertEqual([x], x_val)
@@ -617,11 +616,11 @@ class FIFOQueueTest(test.TestCase):
       dequeued_t = q.dequeue()
 
       def enqueue():
-        for _ in xrange(100):
+        for _ in range(100):
           self.evaluate(enqueue_op)
 
       def dequeue():
-        for _ in xrange(100):
+        for _ in range(100):
           self.assertTrue(self.evaluate(dequeued_t) in (10.0, 20.0))
 
       enqueue_threads = [self.checkedThread(target=enqueue) for _ in range(10)]
@@ -653,7 +652,7 @@ class FIFOQueueTest(test.TestCase):
       close_op = q.close()
 
       def dequeue():
-        for i in xrange(250):
+        for i in range(250):
           self.assertEqual(i, self.evaluate(dequeued_t))
 
       dequeue_thread = self.checkedThread(target=dequeue)
@@ -1305,10 +1304,10 @@ class FIFOQueueTest(test.TestCase):
     with self.cached_session():
       num_queues = 10
       qlist = []
-      for _ in xrange(num_queues):
+      for _ in range(num_queues):
         qlist.append(data_flow_ops.FIFOQueue(10, dtypes_lib.float32))
       # Enqueue/Dequeue into a dynamically selected queue
-      for _ in xrange(20):
+      for _ in range(20):
         index = np.random.randint(num_queues)
         q = data_flow_ops.FIFOQueue.from_list(index, qlist)
         q.enqueue((10.,)).run()
diff --git a/tensorflow/python/kernel_tests/init_ops_test.py b/tensorflow/python/kernel_tests/init_ops_test.py
index 3822b4b89fc..b26d75420cb 100644
--- a/tensorflow/python/kernel_tests/init_ops_test.py
+++ b/tensorflow/python/kernel_tests/init_ops_test.py
@@ -19,7 +19,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -202,7 +201,7 @@ class ConstantInitializersTest(test.TestCase):
 
       actual = array_ops.reshape(x, [-1]).eval()
       self.assertGreater(len(actual), len(expected))
-      for i in xrange(len(actual)):
+      for i in range(len(actual)):
         a = actual[i]
         e = expected[i] if i < len(expected) else expected[-1]
         self.assertEqual(a, e)
diff --git a/tensorflow/python/kernel_tests/inplace_ops_test.py b/tensorflow/python/kernel_tests/inplace_ops_test.py
index 9eaaac7a248..dd3f1b39c50 100644
--- a/tensorflow/python/kernel_tests/inplace_ops_test.py
+++ b/tensorflow/python/kernel_tests/inplace_ops_test.py
@@ -18,7 +18,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import dtypes
 from tensorflow.python.framework import errors
@@ -113,7 +112,7 @@ class InplaceOpsTest(test_util.TensorFlowTestCase):
       d0, d1, d2 = 100, 3, 5
       x = array_ops.zeros([d0, d1, d2])
       y = np.zeros([d0, d1, d2])
-      for _ in xrange(20):
+      for _ in range(20):
         idx = np.random.choice(d0, d0 // 10, replace=False)
         val = np.random.randint(10, size=(d0 // 10, d1, d2))
         op = np.random.randint(3)
@@ -134,7 +133,7 @@ class InplaceOpsTest(test_util.TensorFlowTestCase):
       d0 = 100
       x = array_ops.zeros([d0])
       y = np.zeros([d0])
-      for _ in xrange(20):
+      for _ in range(20):
         idx = np.random.choice(d0, d0 // 10, replace=False)
         val = np.random.randint(10, size=(d0 // 10))
         op = np.random.randint(3)
diff --git a/tensorflow/python/kernel_tests/listdiff_op_test.py b/tensorflow/python/kernel_tests/listdiff_op_test.py
index 28657107980..dff8dfed4b6 100644
--- a/tensorflow/python/kernel_tests/listdiff_op_test.py
+++ b/tensorflow/python/kernel_tests/listdiff_op_test.py
@@ -19,7 +19,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import dtypes
 from tensorflow.python.framework import ops
@@ -86,7 +85,7 @@ class ListDiffTest(test.TestCase):
     int_low = -7
     int_high = 8
     max_size = 50
-    for _ in xrange(num_random_tests):
+    for _ in range(num_random_tests):
       x_size = np.random.randint(max_size + 1)
       x = np.random.randint(int_low, int_high, size=x_size)
       y_size = np.random.randint(max_size + 1)
diff --git a/tensorflow/python/kernel_tests/metrics_test.py b/tensorflow/python/kernel_tests/metrics_test.py
index 2cf6e629339..72f3320e270 100644
--- a/tensorflow/python/kernel_tests/metrics_test.py
+++ b/tensorflow/python/kernel_tests/metrics_test.py
@@ -22,7 +22,6 @@ import functools
 import math
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes as dtypes_lib
@@ -643,7 +642,7 @@ class AccuracyTest(test.TestCase):
       accuracy, update_op = metrics.accuracy(labels, predictions)
 
       self.evaluate(variables.local_variables_initializer())
-      for _ in xrange(3):
+      for _ in range(3):
         self.evaluate(update_op)
       self.assertEqual(0.5, self.evaluate(update_op))
       self.assertEqual(0.5, accuracy.eval())
@@ -743,7 +742,7 @@ class AccuracyTest(test.TestCase):
       accuracy, update_op = metrics.accuracy(labels, predictions, weights)
 
       self.evaluate(variables.local_variables_initializer())
-      for _ in xrange(3):
+      for _ in range(3):
         self.evaluate(update_op)
       self.assertEqual(1.0, self.evaluate(update_op))
       self.assertEqual(1.0, accuracy.eval())
@@ -2176,7 +2175,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
     precision_ex1 = (0.0 / 1, 1.0 / 2, 1.0 / 3, 2.0 / 4)
     avg_precision_ex1 = (0.0 / 1, precision_ex1[1] / 2, precision_ex1[1] / 3,
                          (precision_ex1[1] + precision_ex1[3]) / 4)
-    for i in xrange(4):
+    for i in range(4):
       k = i + 1
       self._test_precision_at_k(
           predictions, labels, k, expected=precision_ex1[i])
@@ -2194,7 +2193,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
     precision_ex2 = (0.0 / 1, 0.0 / 2, 1.0 / 3, 2.0 / 4)
     avg_precision_ex2 = (0.0 / 1, 0.0 / 2, precision_ex2[2] / 3,
                          (precision_ex2[2] + precision_ex2[3]) / 4)
-    for i in xrange(4):
+    for i in range(4):
       k = i + 1
       self._test_precision_at_k(
           predictions, labels, k, expected=precision_ex2[i])
@@ -2213,7 +2212,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
         (ex1 + ex2) / 2
         for ex1, ex2 in zip(avg_precision_ex1, avg_precision_ex2)
     ]
-    for i in xrange(4):
+    for i in range(4):
       k = i + 1
       predictions_idx = (predictions_idx_ex1[:k], predictions_idx_ex2[:k])
       self._test_precision_at_k(
@@ -2230,7 +2229,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
         (weights[0] * ex1 + weights[1] * ex2) / (weights[0] + weights[1])
         for ex1, ex2 in zip(avg_precision_ex1, avg_precision_ex2)
     ]
-    for i in xrange(4):
+    for i in range(4):
       k = i + 1
       self._test_average_precision_at_k(
           predictions,
@@ -2250,7 +2249,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
     precision_ex1 = (0.0 / 1, 1.0 / 2, 1.0 / 3, 2.0 / 4)
     avg_precision_ex1 = (0.0 / 1, precision_ex1[1] / 2, precision_ex1[1] / 3,
                          (precision_ex1[1] + precision_ex1[3]) / 4)
-    for i in xrange(4):
+    for i in range(4):
       k = i + 1
       self._test_precision_at_k(
           predictions, labels, k, expected=precision_ex1[i])
@@ -2275,7 +2274,7 @@ class MultiLabelPrecisionAtKTest(test.TestCase):
         (1.0 / 1, 1.0 / 1, 1.0 / 1, 1.0 / 1))
     mean_avg_precision_ex1 = np.mean(avg_precision_ex1, axis=0)
     for labels in (sparse_labels, dense_labels):
-      for i in xrange(4):
+      for i in range(4):
         k = i + 1
         self._test_precision_at_k(
             predictions, labels, k, expected=mean_precision_ex1[i])
@@ -2881,7 +2880,7 @@ class MultiLabel3dRecallAtKTest(test.TestCase):
 
   @test_util.run_deprecated_v1
   def test_3d_ignore_all(self):
-    for class_id in xrange(10):
+    for class_id in range(10):
       self._test_recall_at_k(
           self._predictions, self._labels, k=5, expected=NAN, class_id=class_id,
           weights=[[0], [0]])
diff --git a/tensorflow/python/kernel_tests/padding_fifo_queue_test.py b/tensorflow/python/kernel_tests/padding_fifo_queue_test.py
index 1825bebea8a..63716c70d4b 100644
--- a/tensorflow/python/kernel_tests/padding_fifo_queue_test.py
+++ b/tensorflow/python/kernel_tests/padding_fifo_queue_test.py
@@ -22,7 +22,6 @@ import random
 import time
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes as dtypes_lib
@@ -144,7 +143,7 @@ class PaddingFIFOQueueTest(test.TestCase):
 
       # Dequeue every element using a single thread.
       results = []
-      for _ in xrange(len(elems)):
+      for _ in range(len(elems)):
         results.append(dequeued_t.eval())
       self.assertItemsEqual(elems, results)
 
@@ -185,7 +184,7 @@ class PaddingFIFOQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      for i in xrange(len(elems)):
+      for i in range(len(elems)):
         vals = self.evaluate(dequeued_t)
         self.assertEqual([elems[i]], vals)
 
@@ -209,7 +208,7 @@ class PaddingFIFOQueueTest(test.TestCase):
       results = []
 
       def dequeue():
-        for _ in xrange(len(elems)):
+        for _ in range(len(elems)):
           results.append(self.evaluate(dequeued_t))
 
       enqueue_thread = self.checkedThread(target=enqueue)
@@ -234,7 +233,7 @@ class PaddingFIFOQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      for i in xrange(len(elems)):
+      for i in range(len(elems)):
         x_val, y_val = self.evaluate(dequeued_t)
         x, y = elems[i]
         self.assertEqual([x], x_val)
@@ -722,11 +721,11 @@ class PaddingFIFOQueueTest(test.TestCase):
       dequeued_t = q.dequeue()
 
       def enqueue():
-        for _ in xrange(100):
+        for _ in range(100):
           self.evaluate(enqueue_op)
 
       def dequeue():
-        for _ in xrange(100):
+        for _ in range(100):
           self.assertTrue(self.evaluate(dequeued_t) in (10.0, 20.0))
 
       enqueue_threads = [self.checkedThread(target=enqueue) for _ in range(10)]
@@ -758,7 +757,7 @@ class PaddingFIFOQueueTest(test.TestCase):
       close_op = q.close()
 
       def dequeue():
-        for i in xrange(250):
+        for i in range(250):
           self.assertEqual(i, self.evaluate(dequeued_t))
 
       dequeue_thread = self.checkedThread(target=dequeue)
@@ -1421,11 +1420,11 @@ class PaddingFIFOQueueTest(test.TestCase):
     with self.cached_session():
       num_queues = 10
       qlist = []
-      for _ in xrange(num_queues):
+      for _ in range(num_queues):
         qlist.append(
             data_flow_ops.PaddingFIFOQueue(10, dtypes_lib.float32, ((),)))
       # Enqueue/Dequeue into a dynamically selected queue
-      for _ in xrange(20):
+      for _ in range(20):
         index = np.random.randint(num_queues)
         q = data_flow_ops.PaddingFIFOQueue.from_list(index, qlist)
         q.enqueue((10.,)).run()
diff --git a/tensorflow/python/kernel_tests/parameterized_truncated_normal_op_test.py b/tensorflow/python/kernel_tests/parameterized_truncated_normal_op_test.py
index ac8ad7a2bd4..be4bdca2203 100644
--- a/tensorflow/python/kernel_tests/parameterized_truncated_normal_op_test.py
+++ b/tensorflow/python/kernel_tests/parameterized_truncated_normal_op_test.py
@@ -23,7 +23,6 @@ import math
 import timeit
 
 import numpy as np
-from six.moves import range  # pylint: disable=redefined-builtin
 
 from tensorflow.core.protobuf import config_pb2
 from tensorflow.python.client import session
diff --git a/tensorflow/python/kernel_tests/partitioned_variables_test.py b/tensorflow/python/kernel_tests/partitioned_variables_test.py
index edcbc2967e2..52d88fe9cb5 100644
--- a/tensorflow/python/kernel_tests/partitioned_variables_test.py
+++ b/tensorflow/python/kernel_tests/partitioned_variables_test.py
@@ -21,7 +21,6 @@ from __future__ import print_function
 import os
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -320,7 +319,7 @@ class PartitionedVariablesTestCase(test.TestCase):
 
   def _TestSaveSpec(self, slices, expected_specs):
     self.assertEqual(len(expected_specs), len(slices))
-    for i in xrange(len(expected_specs)):
+    for i in range(len(expected_specs)):
       self.assertEquals(expected_specs[i], slices[i]._save_slice_info.spec)
 
   def testVecConstantInit(self):
@@ -433,7 +432,7 @@ class PartitionedVariablesTestCase(test.TestCase):
       var_lists = [
           partitioned_variables.create_partitioned_variables(
               rnd.get_shape(), [1, i], rnd.initialized_value())
-          for i in xrange(1, 10)
+          for i in range(1, 10)
       ]
       self.evaluate(variables.global_variables_initializer())
       rnd_val = self.evaluate(rnd)
diff --git a/tensorflow/python/kernel_tests/py_func_test.py b/tensorflow/python/kernel_tests/py_func_test.py
index a3cdb258b29..b045c10c32c 100644
--- a/tensorflow/python/kernel_tests/py_func_test.py
+++ b/tensorflow/python/kernel_tests/py_func_test.py
@@ -24,7 +24,6 @@ import re
 
 import numpy as np
 from six.moves import queue
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.client import session as session_lib
 from tensorflow.python.eager import backprop
@@ -250,7 +249,7 @@ class PyFuncTest(test.TestCase):
       x = array_ops.zeros([1000000], dtype=np.float32)
       y = script_ops.py_func(lambda x: x + 1, [x], [dtypes.float32])
       z = script_ops.py_func(lambda x: x * 2, [x], [dtypes.float32])
-      for _ in xrange(100):
+      for _ in range(100):
         sess.run([y[0].op, z[0].op])
 
   def testNoInput(self):
@@ -469,7 +468,7 @@ class PyFuncTest(test.TestCase):
     initial_size = script_ops._py_funcs.size()
     # Encapsulate the graph generation, so locals can be deleted.
     def make_graphs():
-      for _ in xrange(1000):
+      for _ in range(1000):
         g = ops.Graph()
         with g.as_default():
           c = constant_op.constant([1.], dtypes.float32)
diff --git a/tensorflow/python/kernel_tests/random/random_gamma_test.py b/tensorflow/python/kernel_tests/random/random_gamma_test.py
index 77e194d5fcf..bb7df678936 100644
--- a/tensorflow/python/kernel_tests/random/random_gamma_test.py
+++ b/tensorflow/python/kernel_tests/random/random_gamma_test.py
@@ -19,7 +19,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import dtypes
 from tensorflow.python.framework import ops
@@ -47,7 +46,7 @@ class RandomGammaTest(test.TestCase):
         rng = random_ops.random_gamma(
             [num], alpha, beta=beta, dtype=dtype, seed=seed)
         ret = np.empty([10, num])
-        for i in xrange(10):
+        for i in range(10):
           ret[i, :] = self.evaluate(rng)
       return ret
 
diff --git a/tensorflow/python/kernel_tests/random/random_ops_test.py b/tensorflow/python/kernel_tests/random/random_ops_test.py
index 1023b8f7901..47b544048b6 100644
--- a/tensorflow/python/kernel_tests/random/random_ops_test.py
+++ b/tensorflow/python/kernel_tests/random/random_ops_test.py
@@ -19,7 +19,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.eager import context
 from tensorflow.python.framework import dtypes
@@ -69,7 +68,7 @@ class RandomNormalTest(RandomOpTestCommon):
         rng = random_ops.random_normal(
             [num], mean=mu, stddev=sigma, dtype=dtype, seed=seed)
         ret = np.empty([10, num])
-        for i in xrange(10):
+        for i in range(10):
           ret[i, :] = self.evaluate(rng)
       return ret
 
@@ -166,7 +165,7 @@ class TruncatedNormalTest(test.TestCase):
         rng = random_ops.truncated_normal(
             [num], mean=mu, stddev=sigma, dtype=dtype, seed=seed)
         ret = np.empty([10, num])
-        for i in xrange(10):
+        for i in range(10):
           ret[i, :] = self.evaluate(rng)
       return ret
 
@@ -268,7 +267,7 @@ class RandomUniformTest(RandomOpTestCommon):
         rng = random_ops.random_uniform(
             [num], minval=minv, maxval=maxv, dtype=dtype, seed=seed)
         ret = np.empty([10, num])
-        for i in xrange(10):
+        for i in range(10):
           ret[i, :] = self.evaluate(rng)
       return ret
 
diff --git a/tensorflow/python/kernel_tests/random/random_poisson_test.py b/tensorflow/python/kernel_tests/random/random_poisson_test.py
index 51dd4cb47ca..9c47b586406 100644
--- a/tensorflow/python/kernel_tests/random/random_poisson_test.py
+++ b/tensorflow/python/kernel_tests/random/random_poisson_test.py
@@ -18,7 +18,6 @@ from __future__ import division
 from __future__ import print_function
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes
@@ -44,7 +43,7 @@ class RandomPoissonTest(test.TestCase):
       with self.session(use_gpu=use_gpu, graph=ops.Graph()) as sess:
         rng = random_ops.random_poisson(lam, [num], dtype=dtype, seed=seed)
         ret = np.empty([10, num])
-        for i in xrange(10):
+        for i in range(10):
           ret[i, :] = self.evaluate(rng)
       return ret
 
diff --git a/tensorflow/python/kernel_tests/random/random_shuffle_queue_test.py b/tensorflow/python/kernel_tests/random/random_shuffle_queue_test.py
index ba7ee16e7c2..f62049064a3 100644
--- a/tensorflow/python/kernel_tests/random/random_shuffle_queue_test.py
+++ b/tensorflow/python/kernel_tests/random/random_shuffle_queue_test.py
@@ -22,7 +22,6 @@ import random
 import time
 
 import numpy as np
-from six.moves import xrange  # pylint: disable=redefined-builtin
 
 from tensorflow.python.framework import constant_op
 from tensorflow.python.framework import dtypes as dtypes_lib
@@ -120,7 +119,7 @@ class RandomShuffleQueueTest(test.TestCase):
 
       # Dequeue every element using a single thread.
       results = []
-      for _ in xrange(len(elems)):
+      for _ in range(len(elems)):
         results.append(dequeued_t.eval())
       self.assertItemsEqual(elems, results)
 
@@ -158,7 +157,7 @@ class RandomShuffleQueueTest(test.TestCase):
       for enqueue_op in enqueue_ops:
         enqueue_op.run()
 
-      vals = [dequeued_t.eval() for _ in xrange(len(elems))]
+      vals = [dequeued_t.eval() for _ in range(len(elems))]
       self.assertItemsEqual(elems, vals)
 
   def testEnqueueAndBlockingDequeue(self):
@@ -178,7 +177,7 @@ class RandomShuffleQueueTest(test.TestCase):
       results = []
 
       def dequeue():
-        for _ in xrange(len(elems)):
+        for _ in range(len(elems)):
           results.append(self.evaluate(dequeued_t))
 
       enqueue_thread = self.checkedThread(target=enqueue)
@@ -202,7 +201,7 @@ class RandomShuffleQueueTest(test.TestCase):
         enqueue_op.run()
 
       results = []
-      for _ in xrange(len(elems)):
+      for _ in range(len(elems)):
         x, y = self.evaluate(dequeued_t)
         results.append((x, y))
       self.assertItemsEqual(elems, results)
@@ -506,12 +505,12 @@ class RandomShuffleQueueTest(test.TestCase):
 
   def testParallelDequeueUpToRandomPartition(self):
     with self.cached_session() as sess:
-      dequeue_sizes = [random.randint(50, 150) for _ in xrange(10)]
+      dequeue_sizes = [random.randint(50, 150) for _ in range(10)]
       total_elements = sum(dequeue_sizes)
       q = data_flow_ops.RandomShuffleQueue(
           total_elements, 0, dtypes_lib.float32, shapes=())
 
-      elems = [10.0 * x for x in xrange(total_elements)]
+      elems = [10.0 * x for x in range(total_elements)]
       enqueue_op = q.enqueue_many((elems,))
       dequeue_ops = [q.dequeue_up_to(size) for size in dequeue_sizes]
 
@@ -1202,11 +1201,11 @@ class RandomShuffleQueueTest(test.TestCase):
     with self.cached_session():
       num_queues = 10
       qlist = []
-      for _ in xrange(num_queues):
+      for _ in range(num_queues):
         qlist.append(
             data_flow_ops.RandomShuffleQueue(10, 0, dtypes_lib.float32))
       # Enqueue/Dequeue into a dynamically selected queue
-      for _ in xrange(20):
+      for _ in range(20):
         index = np.random.randint(num_queues)
         q = data_flow_ops.RandomShuffleQueue.from_list(index, qlist)
         q.enqueue((10.,)).run()
